<dialog id="product_detail_popup" class="modal-popup">
  <button class="modal-popup__close" id="product_detail_popup_close">
    <svg viewBox="0 0 365.7 365.7" xmlns="http://www.w3.org/2000/svg"><path d="M243 183L356 70c13-13 13-33 0-46L341 9a32 32 0 00-45 0L183 123 70 9a32 32 0 00-46 0L9 24a32 32 0 000 46l114 113L9 296a32 32 0 000 45l15 15c13 13 33 13 46 0l113-113 113 113c12 13 33 13 45 0l15-15c13-12 13-33 0-45zm0 0"/></svg>
  </button>
  <div class="popup-product">
    <div class="popup-product__image">
      <img src="https://borgattis.com/wp-content/uploads/2018/05/Large-Cheese-Ravioli-450x401.jpg">
    </div>
    <span class="popup-product__heading">Large Ricotta Ravioli Something Little longer</span>
    <span class="popup-product__price">$18.00</span>
    <span class="popup-product__text">27 pieces per box</span>
    <span class="popup-product__servings">
      <span class="popup-product__servings__amount">4</span> servings
    </span>
    <button class="popup-product__button">Add to box</button>
  </div>
</dialog>

<script type="text/javascript">
  modal = document.getElementById('product_detail_popup');
  modal.showModal();
  document.getElementById('product_detail_popup_close').addEventListener('click', function () {
    modal.close();
  });
</script>
